## aad-auth 0.4

=== debian/changelog ===
aad-auth (0.4) lunar; urgency=medium

  * First upload to ubuntu
  * Rewrite NSS module in Rust: we can’t use Go to implicit use of threads
    which is incompatible with binaries linking against use and only using
    fork() without exec().

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 21 Feb 2023 10:22:47 +0100

aad-auth (0.3) kinetic; urgency=medium

  [ Gabriel Nagy ]
  * Add aad-cli binary package (LP: #1989413)
    - this is a CLI that allows managing various aspects of the AAD
      integration, such as:
      - editing the configuration file in a safe way
      - querying cached users/groups attributes
      - updating cached user attributes (shell/homedir)
  * Update debian/copyright with the latest vendored dependencies

  [ Denison Barbosa ]
  * Improve consistency of offline credentials expiration
    - a negative value disables offline authentication, and 0 prevents
    the cache clean up process, allowing offline login for an
    undetermined amount of time

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Fri, 16 Sep 2022 15:37:40 +0300

aad-auth (0.2) kinetic; urgency=medium

  [ Didier Roche ]
  [ Denison Barbosa ]
  [ Gabriel Nagy ]
  [ Jean-Baptiste Lallement ]
  * Rewrite NSS Go library in C
    - due to random crashes caused by loading a multithreaded shared library
      written in Go from NSS, we now have a thin C wrapper calling a Go
      executable which does the actual queries
  * Add translations supported by gettext to the PAM module
    - to support the future CLI integration, these are shipped in a
      common architecture-independent package
  * Ship a configuration template in the common package
  * Fix segfault on interrupted pam conversation
  * Fix FTBFS on armhf due to int type size
  * Various test improvements and fixes
  * Update dependencies to latest:
    - github.com/AzureAD/microsoft-authentication-library-for-go
    - github.com/go-ini/ini
    - github.com/mattn/go-sqlite3

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Fri, 09 Sep 2022 10:48:17 +0300

aad-auth (0.1) kinetic; urgency=medium

  [ Didier Roche ]
  [ Denison Barbosa ]
  [ Gabriel Nagy ]
  * Initial release

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Wed, 24 Aug 2022 16:22:54 +0200
