=== debian/control ===
Source: aad-auth
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-apport,
               dh-cargo,
               dh-golang,
               golang-go (>= 2:1.21~),
               libpam0g-dev (>= 1.4),
               libc6-dev (>= 2.35),
               libglib2.0-dev (>= 2.72.1),
               pkg-config (>= 0.29.2),
               libsqlite3-dev (>= 3.37.2)
Standards-Version: 4.6.0.1
XS-Go-Import-Path: github.com/ubuntu/aad-auth
XS-Vendored-Sources-Rust: ahash@0.7.6, autocfg@1.1.0, bitflags@1.3.2, bitflags@2.0.2, bstr@0.2.17, cc@1.0.83, cfg-if@1.0.0, console@0.15.5, ctor@0.2.4, deranged@0.3.7, encode_unicode@0.3.6, equivalent@1.0.0, errno-dragonfly@0.1.2, errno@0.3.1, error-chain@0.12.4, faccess@0.2.4, fallible-iterator@0.2.0, fallible-streaming-iterator@0.1.9, fastrand@1.8.0, getrandom@0.2.8, goldenfile@1.5.2, hashbrown@0.12.3, hashbrown@0.14.0, hashlink@0.8.1, hermit-abi@0.3.1, hostname@0.3.1, indexmap@2.0.0, instant@0.1.12, io-lifetimes@1.0.11, itoa@1.0.5, lazy_static@1.4.0, libc@0.2.147, libnss@0.5.0, libsqlite3-sys@0.26.0, linux-raw-sys@0.3.8, log@0.4.20, match_cfg@0.1.0, memchr@2.5.0, num_threads@0.1.6, once_cell@1.17.0, paste@1.0.14, pkg-config@0.3.26, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro2@1.0.66, quote@1.0.33, redox_syscall@0.3.5, regex-automata@0.1.10, rusqlite@0.29.0, rustix@0.37.19, ryu@1.0.12, serde@1.0.188, serde_derive@1.0.188, serde_yaml@0.9.25, similar-asserts@1.4.2, similar@2.2.1, simple_logger@4.2.0, smallvec@1.10.0, syn@1.0.107, syn@2.0.29, syslog@6.1.0, tempfile@3.6.0, test-case-core@3.0.0, test-case-macros@3.0.0, test-case@3.1.0, time-core@0.1.1, time-macros@0.2.14, time@0.3.28, unicode-ident@1.0.6, unicode-segmentation@1.10.1, unsafe-libyaml@0.2.7, users@0.11.0, vcpkg@0.2.15, version_check@0.9.4, wasi@0.11.0+wasi-snapshot-preview1, winapi-i686-pc-windows-gnu@0.4.0, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.42.0, windows-sys@0.48.0, windows-targets@0.48.0, windows_aarch64_gnullvm@0.42.1, windows_aarch64_gnullvm@0.48.0, windows_aarch64_msvc@0.42.1, windows_aarch64_msvc@0.48.0, windows_i686_gnu@0.42.1, windows_i686_gnu@0.48.0, windows_i686_msvc@0.42.1, windows_i686_msvc@0.48.0, windows_x86_64_gnu@0.42.1, windows_x86_64_gnu@0.48.0, windows_x86_64_gnullvm@0.42.1, windows_x86_64_gnullvm@0.48.0, windows_x86_64_msvc@0.42.1, windows_x86_64_msvc@0.48.0
Homepage: https://github.com/ubuntu/aad-auth
Description: Azure Active Directory Authentication
 Azure Active Directory Authentication enables authentication of Azure Active
 Directory accounts on your local system. It dynamically creates local accounts,
 supporting additional features like offline connectivity.


Package: libpam-aad
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: aad-common,
         ${shlibs:Depends},
         ${misc:Depends},
Description: ${source:Synopsis} module for PAM
 ${source:Extended-Description}
 .
 This package contains the PAM module.

Package: libnss-aad
Architecture: any
Multi-Arch: same
Built-Using: ${misc:Built-Using},
Depends: aad-common,
         ${shlibs:Depends},
         ${misc:Depends},
Description: ${source:Synopsis} module for NSS
 ${source:Extended-Description}
 .
 This package contains the NSS module.

Package: aad-common
Architecture: all
Multi-Arch: foreign
Enhances: libpam-aad, libnss-aad, aad-cli
Depends: ${misc:Depends}
Description: ${source:Synopsis} common files
 ${source:Extended-Description}
 .
 This package contains configuration and translation files shared between the
 other AAD packages.

Package: aad-cli
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: aad-common,
         ${shlibs:Depends},
         ${misc:Depends},
Description: ${source:Synopsis} CLI tool
 ${source:Extended-Description}
 .
 This package contains the CLI tool to manage various aspects of the Azure AD
 integration.
