=== debian/tests/control ===
Test-Command: go test -v -mod=vendor ./...
Restrictions: allow-stderr
Depends: @builddeps@
