## aad-auth 0.5.2build1

=== debian/changelog ===
aad-auth (0.5.2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:02 +0200
