## aad-auth 0.5.2ubuntu0.1

=== debian/changelog ===
aad-auth (0.5.2ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 01 Feb 2024 13:24:14 +0530
